Bug 2041457 - Change ks= to inst.ks= and sendmac for RHEL 9 Beta
Summary: Change ks= to inst.ks= and sendmac for RHEL 9 Beta
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite
Classification: Red Hat
Component: Provisioning Templates
Version: 6.10.0
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: 6.11.0
Assignee: Marek Hulan
QA Contact: Akhil Jha
URL:
Whiteboard:
: 2036008 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2022-01-17 11:43 UTC by Lukas Zapletal
Modified: 2023-05-15 12:31 UTC (History)
5 users (show)

Fixed In Version: tfm-rubygem-foreman_discovery-19.0.2
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2022-07-05 14:32:03 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Foreman Issue Tracker 31978 0 Normal Closed Automated Fedora provisioning fails with Kickstart default due to the missing redhat-lsb-core 2022-11-28 15:19:18 UTC
Foreman Issue Tracker 32486 0 Normal Closed Fedora 34 / RHEL 9 - Ignore Anaconda kernel boot parameters without 'inst.' prefix 2022-11-28 15:19:18 UTC
Foreman Issue Tracker 34265 0 Normal Closed More Anaconda kernel boot parameters without 'inst.' prefix template changes 2022-11-28 15:19:17 UTC
Foreman Issue Tracker 34266 0 Normal Closed Change ks= to inst.ks= in kexec template for RHEL9 which removed it 2022-11-28 15:19:13 UTC
Red Hat Product Errata RHSA-2022:5498 0 None None None 2022-07-05 14:32:15 UTC

Description Lukas Zapletal 2022-01-17 11:43:31 UTC
RHEL 9 Beta currently cannot be installed with default templates due to deprecation of ks= argument. It must be prefixed with inst.ks= and Anaconda in RHEL9 Beta will fail, thus provisioning is not possible.

I propose to backport it into 6.10 so customers can try out RHEL 9 Beta without any extra effort.

Instead of backporting both patches which aim to change all places (iPXE, PXEGrub etc) I propose just to do a small change of changing ks to inst.ks for supported workflows (PXELinux, Grub2). I can do a small MR on request.

Small effort, low risk.

Comment 1 Lukas Zapletal 2022-01-17 11:49:51 UTC
Also this package must be removed from the kickstart: redhat-lsb-core.

Comment 2 Bryan Kearney 2022-01-17 12:05:33 UTC
Upstream bug assigned to lzap

Comment 3 Bryan Kearney 2022-01-17 12:05:34 UTC
Upstream bug assigned to lzap

Comment 4 Lukas Zapletal 2022-01-17 13:41:09 UTC
Also discovery has the same problem, so in total 4 patches.

Comment 5 Bryan Kearney 2022-01-19 16:05:26 UTC
Upstream bug assigned to mhulan

Comment 6 Bryan Kearney 2022-01-19 16:05:27 UTC
Moving this bug to POST for triage into Satellite since the upstream issue https://projects.theforeman.org/issues/31978 has been resolved.

Comment 7 Lukas Zapletal 2022-01-20 07:35:01 UTC
To summary:

Three core template patches.
One discovery template patch (update to 20.0.1).

https://github.com/theforeman/foreman-packaging/pull/7494

Comment 8 Lukas Zapletal 2022-01-27 14:23:07 UTC
*** Bug 2036008 has been marked as a duplicate of this bug. ***

Comment 11 Akhil Jha 2022-04-08 10:25:41 UTC
Verified.
Satellite 6.11.0-15.0

# rpm -qa | grep rubygem-foreman_discovery
tfm-rubygem-foreman_discovery-19.0.2-1.el7sat.noarch

Notes: Able to provision rhel9 hosts

Comment 14 errata-xmlrpc 2022-07-05 14:32:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: Satellite 6.11 Release), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2022:5498


Note You need to log in before you can comment on or make changes to this bug.